# Wallets The Wallets API enables you to determine the amount of a given currency belonging to an account. Each account may have multiple wallets, but a wallet belongs to only one account. For example, Alice may have a Wallet in USD, a Wallet in LindenDollars, and a Wallet in SandDollars. Version: 1.0.0 License: Tilia, Inc. ## Servers Staging ``` https://wallets.staging.tilia-inc.com ``` Production ``` https://wallets.tilia-inc.com ``` ## Security ### tilia_auth Type: oauth2 ## Download OpenAPI description [Wallets](https://thunes-tilia-docs.redocly.app/_bundle/openapi/prod/wallets/openapi.yaml) ## Other ### Wallet balance alert - [POST wallet-balance-alert](https://thunes-tilia-docs.redocly.app/openapi/prod/wallets/openapi/webhooks/walletbalancealert.md): Webhook event notification request. event_name value: wallet-balance-alert | This request is sent to registered webhook event handlers after | | :--- | | A publisher's wallet balance drops below their preset thresholds | The Request body described below is the message property in the event notification request data. For more information about event notification requests, visit Webhooks. ### Get wallet balances - [GET /balances/{account_id}](https://thunes-tilia-docs.redocly.app/openapi/prod/wallets/openapi/other/getbalancesbyaccountid.md): Get wallet balances for the specified account. ### Get wallet by ID - [GET /v2/wallet/{wallet_id}](https://thunes-tilia-docs.redocly.app/openapi/prod/wallets/openapi/other/getwalletbyid.md): Get wallet for the specified wallet id. For Wallet Payment Methods (i.e. payment methods with provider='wallet'), the payment_method.psp_reference=wallet.wallet_id. ### Get wallets by account - [GET /v2/account/{account_id}/wallets](https://thunes-tilia-docs.redocly.app/openapi/prod/wallets/openapi/other/getwalletsbyaccountid.md): Get list of wallets for the specified account. ### Create a custom wallet type - [POST /v2/wallet/custom](https://thunes-tilia-docs.redocly.app/openapi/prod/wallets/openapi/other/createcustomwallet.md): Enables you to create a custom Tilia Wallet to use for nonstandard transaction flows. Reach out to Tilia to define the new wallet type. >- NOTE: A wallet created from this endpoint will not have an associated payment method. Hence, the wallet would not be usable for purchase in the Checkout Widget. To enable purchase using this custom wallet, create an associated wallet payment method (as described in the Create a Custom Wallet payment method document in the Payments API reference section).